osl::hash::HashKey128::StandHash Struct Reference

`#include <hashKey.h>`

## Public Member Functions

| StandHash ()
uint64_t | toUint64 (PieceStand stand) const

## Public Attributes

CArray< uint64_t, 19 *3 *3 > | HashMajorPawn
CArray< uint64_t, 5 *5 *5 *5 > | HashPiece

## Detailed Description

Definition at line 113 of file hashKey.h.

## Constructor & Destructor Documentation

## StandHash()

osl::hash::HashKey128::StandHash::StandHash | ( |  | ) |

Definition at line 16 of file hashKey.cc.

References HashMajorPawn, and HashPiece.

## Member Function Documentation

## toUint64()

uint64_t osl::hash::HashKey128::StandHash::toUint64 | ( | PieceStand | stand | ) | const

inline

Definition at line 118 of file hashKey.h.

References osl::BISHOP, osl::PieceStand::get(), osl::GOLD, HashMajorPawn, HashPiece, osl::KNIGHT, osl::LANCE, osl::PAWN, osl::ROOK, and osl::SILVER.

## Member Data Documentation

## HashMajorPawn

CArray<uint64_t, 19*3*3> osl::hash::HashKey128::StandHash::HashMajorPawn

Definition at line 115 of file hashKey.h.

Referenced by StandHash(), and toUint64().

## HashPiece

CArray<uint64_t, 5*5*5*5> osl::hash::HashKey128::StandHash::HashPiece

Definition at line 116 of file hashKey.h.

Referenced by StandHash(), and toUint64().

The documentation for this struct was generated from the following files:

- hashKey.h
- hashKey.cc